Loading...
Searching...
No Matches
DiMonoModality Class Reference

Class to handle modality specific transformations (incl. More...

Inheritance diagram for DiMonoModality:

## Public Member Functions

| DiMonoModality (const DiDocument *docu, DiInputPixel *pixel)
| constructor
| DiMonoModality (const DiDocument *docu, DiInputPixel *pixel, const double slope, const double intercept)
| constructor, rescale
| DiMonoModality (const DiDocument *docu, DiInputPixel *pixel, const DcmUnsignedShort &data, const DcmUnsignedShort &descriptor, const DcmLongString *explanation)
| constructor, LUT
| DiMonoModality (const int bits)
| constructor, no modality transform
virtual | ~DiMonoModality ()
| destructor
EP_Representation | getRepresentation () const
| get integer representation
double | getMinValue () const
| get minimum pixel value after modality transform
double | getMaxValue () const
| get maximum pixel value after modality transform
unsigned int | getBits () const
| get number of bits describing the width of output data
unsigned int | getUsedBits () const
| get number of bits actually used to store the output data.
double | getAbsMinimum () const
| get absolute (possible) minimum pixel value after modality transform
double | getAbsMaximum () const
| get absolute (possible) maximum pixel value after modality transform
double | getRescaleIntercept () const
| get rescale intercept value
double | getRescaleSlope () const
| get rescale slope value
const DiLookupTable * | getTableData () const
| get pointer to lookup table data
const char * | getExplanation () const
| get modality LUT explanation
int | hasLookupTable () const
| check whether lookup table is present
int | hasRescaling () const
| check whether rescaling is present
Public Member Functions inherited from DiObjectCounter
void | addReference ()
| add a reference.
void | removeReference ()
| remove a reference.

## Protected Member Functions

int | Init (const DiDocument *docu, DiInputPixel *pixel)
| initialize internal data structures and values
void | checkTable ()
| check lookup table for validity (and possibly correct it)
void | checkRescaling (const DiInputPixel *pixel)
| check rescaling for validity (and possibly correct it)
void | determineRepresentation (const DiDocument *docu)
| determine integer representation used for the output data
Protected Member Functions inherited from DiObjectCounter
| DiObjectCounter ()
| constructor.
virtual | ~DiObjectCounter ()
| destructor

## Private Attributes

EP_Representation | Representation
| integer representation
double | MinValue
| minimum pixel value
double | MaxValue
| maximum pixel value
unsigned int | Bits
| number of bits
unsigned int | UsedBits
| number of used bits
double | AbsMinimum
| absolute minimum pixel value
double | AbsMaximum
| absolute maximum pixel value
double | RescaleIntercept
| rescale intercept
double | RescaleSlope
| rescale slope
int | LookupTable
| status flag: lookup table present
int | Rescaling
| status flag: rescaling present
DiLookupTable * | TableData
| pointer to modality lookup table

## Detailed Description

Class to handle modality specific transformations (incl.

modality LUT)

## Constructor & Destructor Documentation

## DiMonoModality() [1/4]

DiMonoModality::DiMonoModality | ( | const DiDocument * | docu,
|  | DiInputPixel * | pixel )

constructor

Parameters

  docu | pointer to dataset (encapsulated)
  pixel | pointer to input pixel data

## DiMonoModality() [2/4]

DiMonoModality::DiMonoModality | ( | const DiDocument * | docu,
|  | DiInputPixel * | pixel,
|  | const double | slope,
|  | const double | intercept )

constructor, rescale

Parameters

  docu | pointer to dataset (encapsulated)
  pixel | pointer to input pixel data
  slope | rescale slope (<> 0)
  intercept | rescale intercept

## DiMonoModality() [3/4]

DiMonoModality::DiMonoModality | ( | const DiDocument * | docu,
|  | DiInputPixel * | pixel,
|  | const DcmUnsignedShort & | data,
|  | const DcmUnsignedShort & | descriptor,
|  | const DcmLongString * | explanation )

constructor, LUT

Parameters

  docu | pointer to dataset (encapsulated)
  pixel | pointer to input pixel data
  data | element containing the modality LUT data
  descriptor | element containing the modality LUT descriptor
  explanation | element containing the modality LUT explanation (optional)

## DiMonoModality() [4/4]

DiMonoModality::DiMonoModality | ( | const int | bits | ) |

constructor, no modality transform

Parameters

  bits | number of bits per pixel

## Member Function Documentation

## checkRescaling()

void DiMonoModality::checkRescaling | ( | const DiInputPixel * | pixel | ) |

protected

check rescaling for validity (and possibly correct it)

Parameters

  pixel | pointer to input pixel data

## determineRepresentation()

void DiMonoModality::determineRepresentation | ( | const DiDocument * | docu | ) |

protected

determine integer representation used for the output data

Parameters

  docu | pointer to dataset (encapsulated)

## getAbsMaximum()

double DiMonoModality::getAbsMaximum | ( |  | ) | const

inline

get absolute (possible) maximum pixel value after modality transform

Returns
  absolute maximum pixel value

References AbsMaximum.

## getAbsMinimum()

double DiMonoModality::getAbsMinimum | ( |  | ) | const

inline

get absolute (possible) minimum pixel value after modality transform

Returns
  absolute minimum pixel value

References AbsMinimum.

## getBits()

unsigned int DiMonoModality::getBits | ( |  | ) | const

inline

get number of bits describing the width of output data

Returns
  number of bits (might be 0)

References Bits.

## getExplanation()

const char * DiMonoModality::getExplanation | ( |  | ) | const

inline

get modality LUT explanation

Returns
  modality LUT explanation or NULL if absent

References TableData.

## getMaxValue()

double DiMonoModality::getMaxValue | ( |  | ) | const

inline

get maximum pixel value after modality transform

Returns
  maximum pixel value

References MaxValue.

## getMinValue()

double DiMonoModality::getMinValue | ( |  | ) | const

inline

get minimum pixel value after modality transform

Returns
  minimum pixel value

References MinValue.

## getRepresentation()

EP_Representation DiMonoModality::getRepresentation | ( |  | ) | const

inline

get integer representation

Returns
  integer representation

References Representation.

## getRescaleIntercept()

double DiMonoModality::getRescaleIntercept | ( |  | ) | const

inline

get rescale intercept value

Returns
  rescale intercept value

References RescaleIntercept.

## getRescaleSlope()

double DiMonoModality::getRescaleSlope | ( |  | ) | const

inline

get rescale slope value

Returns
  rescale slope value

References RescaleSlope.

## getTableData()

const DiLookupTable * DiMonoModality::getTableData | ( |  | ) | const

inline

get pointer to lookup table data

Returns
  pointer to lookup table data or NULL if absent

References TableData.

## getUsedBits()

unsigned int DiMonoModality::getUsedBits | ( |  | ) | const

inline

get number of bits actually used to store the output data.

(based on the range given by 'MinValue' and 'MaxValue')

Returns
  number of used bits (might be 0)

References UsedBits.

## hasLookupTable()

int DiMonoModality::hasLookupTable | ( |  | ) | const

inline

check whether lookup table is present

Returns
  true if lookup table is present, false otherwise

References LookupTable.

## hasRescaling()

int DiMonoModality::hasRescaling | ( |  | ) | const

inline

check whether rescaling is present

Returns
  true if rescaling is present, false otherwise

References Rescaling.

## Init()

int DiMonoModality::Init | ( | const DiDocument * | docu,
|  | DiInputPixel * | pixel )

protected

initialize internal data structures and values

Parameters

  docu | pointer to dataset (encapsulated)
  pixel | pointer to input pixel data

Returns
  status, true if successful, false otherwise

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/dimomod.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0